PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Structures | Macros
security-context.h File Reference
Security Context

`pipewire/extensions/security-context.h` More...

Go to the source code of this file.

## Data Structures
struct | pw_security_context_events
| Security Context events More...
struct | pw_security_context_methods
| Security Context methods More...

## Macros
#define | PW_TYPE_INTERFACE_SecurityContext PW_TYPE_INFO_INTERFACE_BASE "SecurityContext"
#define | PW_SECURITY_CONTEXT_PERM_MASK PW_PERM_RWX
#define | PW_VERSION_SECURITY_CONTEXT 3
#define | PW_EXTENSION_MODULE_SECURITY_CONTEXT PIPEWIRE_MODULE_PREFIX "module-security-context"
#define | PW_SECURITY_CONTEXT_EVENT_NUM 0
#define | PW_VERSION_SECURITY_CONTEXT_EVENTS 0
#define | PW_SECURITY_CONTEXT_METHOD_ADD_LISTENER 0
#define | PW_SECURITY_CONTEXT_METHOD_CREATE 1
#define | PW_SECURITY_CONTEXT_METHOD_NUM 2
#define | PW_VERSION_SECURITY_CONTEXT_METHODS 0
#define | pw_security_context_method(o, method, version, ...)
#define | pw_security_context_add_listener(c, ...)
#define | pw_security_context_create(c, ...)
| Create a new security context.

## Detailed Description

`pipewire/extensions/security-context.h`